Bug 20510 - Remove unused sub TotalPaid from C4::Stats
Summary: Remove unused sub TotalPaid from C4::Stats
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 18643 20225
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-03 06:24 UTC by Josef Moravec
Modified: 2018-10-24 09:13 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20510: Remove unused sub TotalPaid from C4::Stats (3.26 KB, patch)
2018-04-03 06:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20510: Remove unused sub TotalPaid from C4::Stats (3.32 KB, patch)
2018-04-04 16:44 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20510: Remove unused sub TotalPaid from C4::Stats (3.37 KB, patch)
2018-04-05 05:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-04-03 06:24:31 UTC
The sub TotalPaid from module C4::Stats is not used anywhere and it should be removed.
Comment 1 Josef Moravec 2018-04-03 06:33:05 UTC
Created attachment 73545 [details] [review]
Bug 20510: Remove unused sub TotalPaid from C4::Stats

Test plan:
0) Do not apply the patch
1) Run git grep TotalPaid and confirm it is only defined and then used once in a test
2) Apply the patch
3) git grep TotalPaid should return nothing
4) prove t/db_dependent/Stats.t should be green
Comment 2 M. Tompsett 2018-04-04 16:40:12 UTC
Went back to 3.22.x to see what used it.
git log -- reports/
hunted for the stats.print and stats.screen.
Added dependencies which have already been pushed.
Comment 3 M. Tompsett 2018-04-04 16:44:35 UTC
Created attachment 73653 [details] [review]
Bug 20510: Remove unused sub TotalPaid from C4::Stats

Test plan:
0) Do not apply the patch
1) Run git grep TotalPaid and confirm it is only defined and then used once in a test
2) Apply the patch
3) git grep TotalPaid should return nothing
4) prove t/db_dependent/Stats.t should be green

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Katrin Fischer 2018-04-05 05:38:55 UTC
Created attachment 73671 [details] [review]
Bug 20510: Remove unused sub TotalPaid from C4::Stats

Test plan:
0) Do not apply the patch
1) Run git grep TotalPaid and confirm it is only defined and then used once in a test
2) Apply the patch
3) git grep TotalPaid should return nothing
4) prove t/db_dependent/Stats.t should be green

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-04-05 17:54:58 UTC
Pushed to master for 18.05, thanks to everybody involved!